void printc(char val);

void *_memset(void *dest, int c, int len)
{
  int i;
  char *s = dest;
  for (i = 0; i < len; i++)
    s[i] = c;
  return dest;
}

int main()
{
  char s[16];
  int i;

  for (i = 0; i < sizeof(s); i++)
    s[i] = '0' + i;
  for (i = 0; i < sizeof(s); i++)
    printc(s[i] ? s[i] : '.');

  _memset(s, '0', sizeof(s));
  for (i = 0; i < sizeof(s); i++)
    printc(s[i] ? s[i] : '.');

  _memset(s, 'A', sizeof(s));
  for (i = 0; i < sizeof(s); i++)
    printc(s[i] ? s[i] : '.');

  return 0;
}
